HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTestHelpersTreasuryOutboundTransfersOutboundTransferFail

Contains the different functions to run the operation postTestHelpersTreasuryOutboundTransfersOutboundTransferFail

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTestHelpersTreasuryOutboundTransfersOutboundTransferFail.hs
valuepostTestHelpersTreasuryOutboundTransfersOutboundTransferFail
  1. :: MonadHTTP m
  2. => Text

    outbound_transfer | Constraints: Maximum length of 5000

  3. -> Maybe PostTestHelpersTreasuryOutboundTransfersOutboundTransferFailRequestBody

    The request body to send

  4. -> ClientT m (Response PostTestHelpersTreasuryOutboundTransfersOutboundTransferFailResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/fail

<p>Transitions a test mode created OutboundTransfer to the <code>failed</code> status. The OutboundTransfer must already be in the <code>processing</code> state.</p>

Defines the object schema located at paths./v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/fail.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTestHelpersTreasuryOutboundTransfersOutboundTransferFail.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTestHelpersTreasuryOutboundTransfersOutboundTransferFailResponseError is used.

Instances2Eq, Show